Bug Hunting Session
Bug 69006 - FILEOPEN: File open hangs loading 140MB .csv spreadsheet
Summary: FILEOPEN: File open hangs loading 140MB .csv spreadsheet
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.1.1.2 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA target:4.2.0 target:4.4.0
Keywords: regression
Depends on:
Blocks:
 
Reported: 2013-09-06 00:20 UTC by D. Lindsey
Modified: 2014-08-06 12:16 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description D. Lindsey 2013-09-06 00:20:18 UTC
Problem description: 

The latest MAC OSX 4.1.1.2 version hangs when opening a 140MB spreadsheet in the text CSV format. My older version of LibreOffice v3.3.2 opens the file ok and takes about a minute.

Steps to reproduce:
1. Use attached ZIP or download and unzip the spreadsheet 'topomaps_all.csv' contained in topomaps_all.zip from 'http://thor-f5.er.usgs.gov/ngtoc/metadata/misc/topomaps_all.zip'  (8.3MB size).  
2. Start LibreOffice and File->Open topomaps_all.csv
3. The pop-up window prompts how to parse the CSV format, use defaults (system font, comma delimited) and hit Ok.

Current behavior:
The 'Load document' progress meter stalls within 1 minute and the LibreOffice process consumes 100% of a CPU thread while leaking Real Mem usage.

Expected behavior:
Version 3.3.2 required 55 seconds to load and opened the file successfully.
              
Operating System: Mac OS X
Version: 4.1.1.2 rc
Comment 1 tommy27 2013-09-14 07:08:52 UTC
reproducible with 4.1.1 and 4.1.0 final releases under Win7 64bit
it doesn't hang with 4.0.4 and previous versions (I did not test it with 4.0.5)

status NEW. Regression. Adding Calc experts to CC list.
Comment 2 Markus Mohrhard 2013-10-29 01:27:04 UTC
Moving to DocumentImport will hopefully fix this problem.

I'm currently testing a patch that uses DocumentImport for the csv import.
Comment 3 Commit Notification 2013-10-30 15:48:03 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=93959db4d8846cfdfb87ab647c4d457fb09bb869

use DocumentImport for csv import, related fdo#69006



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2013-10-30 22:30:42 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e7f3330c98d83282f957513941fd7b5a7b9c00b7

use positional hint for UpdateScript, fdo#69006



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Markus Mohrhard 2013-10-30 22:32:19 UTC
Fixed in master for 4-2. Changes are too large for 4-1.
Comment 6 Commit Notification 2014-08-06 12:16:10 UTC
Jan Holesovsky committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=856bf05a1d8ce48ddc3038197b76123426be0daa

Related fdo#69006: Reintroduce some height calculation back.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.